JEIEvents.information(e => {
    e.addItem('nwtc:keyroll', [
      Text.of({"translate": "jei.info.keyroll.1"}).darkPurple(),
      Text.of({"translate": "jei.info.keyroll.2"}),
      Text.of({"translate": "jei.info.keyroll.3"}),
      Text.of({"translate": "jei.info.keyroll.4"}).red(), 
    ])

    e.addItem('nwtc:void_keys', [
      Text.of({"translate": "jei.info.void_keys.1"}).darkPurple(),
      Text.of({"translate": "jei.info.void_keys.2"}),
      Text.of({"translate": "jei.info.void_keys.3"}),
      Text.of({"translate": "jei.info.void_keys.4"}).red(), 
    ])
    e.addItem('nwtc:mining_keys', [
      Text.of({"translate": "jei.info.mining_keys.1"}).darkPurple(),
      Text.of({"translate": "jei.info.mining_keys.2"}),
      Text.of({"translate": "jei.info.mining_keys.3"}),
      Text.of({"translate": "jei.info.mining_keys.4"}).red(), 
    ])
    e.addItem('nwtc:tpfeather', [
      Text.of({"translate": "jei.info.tpfeather.1"}).darkPurple(),
      Text.of({"translate": "jei.info.tpfeather.2"}),
      Text.of({"translate": "jei.info.tpfeather.3"}),
      Text.of({"translate": "jei.info.tpfeather.4"}).red(), 
    ])
    e.addItem('nwtc:unlock_all_progressions_book', [
      Text.of({"translate": "jei.info.unlock_all_progressions_book.1"}).darkPurple(),
      Text.of({"translate": "jei.info.unlock_all_progressions_book.2"}),
      Text.of({"translate": "jei.info.unlock_all_progressions_book.3"}),
      Text.of({"translate": "jei.info.unlock_all_progressions_book.4"}).red(), 
    ])

    e.addItem('nwtc:unlock_all_fragment_book', [
      Text.of({"translate": "jei.info.unlock_all_fragment_book.1"}).darkPurple(),
      Text.of({"translate": "jei.info.unlock_all_fragment_book.2"}),
      Text.of({"translate": "jei.info.unlock_all_fragment_book.3"}).red(), 
    ])

    e.addItem('nwtc:broom', [
      Text.of({"translate": "jei.info.broom.1"}).darkPurple(),
      Text.of({"translate": "jei.info.broom.2"}),
      Text.of({"translate": "jei.info.broom.3"}),
      Text.of({"translate": "jei.info.broom.4"}).red(), 
    ])
    e.addItem('nwtc:bismuth_ingot', [
      Text.of({"translate": "jei.info.randomrecips.1"}).darkPurple(),
      Text.of({"translate": "jei.info.randomrecips.2"}),
    ])
    e.addItem('solarcraft:solar_shard', [
      Text.of({"translate": "jei.info.solar_shard.1"}).darkPurple(),
      Text.of({"translate": "jei.info.solar_shard.2"}),
    ])
    e.addItem('create:shadow_steel', [
      Text.of({"translate": "jei.info.shadow_steel.1"}).darkPurple(),
      Text.of({"translate": "jei.info.shadow_steel.2"}),
    ])
    e.addItem('create:refined_radiance', [
      Text.of({"translate": "jei.info.refined_radiance.1"}).darkPurple(),
      Text.of({"translate": "jei.info.refined_radiance.2"}),
    ])
    e.addItem('nwtc:medal', [
      Text.of({"translate": "jei.info.medal.1"}).darkPurple(),
      Text.of({"translate": "jei.info.medal.2"}),
    ])
    e.addItem('solarcraft:sun_shard', [
      Text.of({"translate": "jei.info.sun_shard.1"}).darkPurple(),
      Text.of({"translate": "jei.info.sun_shard.2"}),
    ])
    e.addItem('solarcraft:solar_key', [
      Text.of({"translate": "jei.info.solar_key.1"}).darkPurple(),
      Text.of({"translate": "jei.info.solar_key.2"}),
    ])

    e.addItem('solarcraft:blue_gem', [
      Text.of({"translate": "jei.info.blue_gem.1"}).darkPurple(),
      Text.of({"translate": "jei.info.blue_gem.2"}),
    ])

    
  
  
    
  })
